# frozen_string_literal: true

Application.boot(:karafka, from: :platform) do
  configure do |config|
    config.kafka_host = container[:settings].kafka_host
    config.client_id = container.name
    config.prefix = container[:settings].kafka_topic_prefix
    config.backend = :inline

    # By default, client_id is prefixed in the consumer group name
    # and if we have a one-off prefix (like in dev), we should use it
    if config.prefix != ''
      config.client_id = "#{config.prefix}.#{container.name}"
    else
      config.client_id = container.name
    end

  end

  after(:start) do
    ::Karafka::App.boot!
  end
end