# frozen_string_literal: true

Application.boot(:mysql) do
  init do
    require 'active_record'
    require 'erb'
    require 'yaml'
  end

  start do
    str = File.read target[:settings].mysql_config_file
    yml = ERB.new(str).result
    config = YAML.load(yml)
    spec = config[target.env.to_s]

    register('mysql.config', config)
    ActiveRecord::Base.establish_connection spec
    # TODO: Stop logging in production when we are officially real
    ActiveRecord::Base.logger = target[:logger]
  end
end
