# frozen_string_literal: true

Application.boot(:sidekiq) do
  init do
    require 'sidekiq'
  end

  start do
    redis_host = target[:settings].redis_workers_service_host
    redis_port = target[:settings].redis_workers_service_port
    redis_url = "redis://#{redis_host}:#{redis_port}"
    logger = target[:logger]
    logger.debug "Sidekiq redis URL: #{redis_url}"

    Sidekiq.configure_server do |config|
      config.redis = { url: redis_url, namespace: "#{SERVICE_NAME}:sidekiq" }
      config.logger = logger
    end

    Sidekiq.configure_client do |config|
      config.redis = { url: redis_url, namespace: "#{SERVICE_NAME}:sidekiq" }
      config.logger = logger
    end
  end
end
